Summary: Collection of basic system utilities for Linux
Name: util-linux
Version: 2.5
Release: 38
Copyright: distributable
Group: Utilities/System
Source0: sunsite.unc.edu:/pub/Linux/system/Misc/util-linux-2.5.tar.gz
Source1: login.pamd
Source2: chfn.pamd
Source3: chsh.pamd
Patch0: util-linux-2.5-misc.patch
Patch1: ftp://ftp.azstarnet.com/pub/linux/axp/util-linux-2.5axp.patch
Patch2: util-linux-2.5-mount.patch
Patch3: ftp://ftp.azstarnet.com/pub/linux/axp/util-linux-2.5axp-2.patch.gz
Patch4: util-linux-2.5-nonfs.patch
Patch5: util-linux-2.5-ncurses.patch
Patch6: util-linux-2.5-sparc.patch
Patch7: util-linux-2.5-pam.patch
Patch8: util-linux-2.5-sparc.patch2
Patch9: util-linux-2.5-fdformaterr.patch
Patch10: ftp://ftp.azstarnet.com/pub/linux/axp/util-linux-2.5axp-3.patch.gz
Patch11: util-linux-2.5-sparc.patch3
Patch12: util-linux-2.5-fd.patch
Patch13: util-linux-2.5-reset.patch
Patch14: util-linux-2.5-wtmplock.patch
Patch15: util-linux-2.5-setcred.patch
Patch16: util-linux-2.5-ret.patch
Patch17: util-linux-2.5-nosync.patch
Patch18: util-linux-2.5-getutent.patch
Patch19: util-linux-2.5-fdisklabel.patch
Patch20: util-linux-2.5-crypt.patch
Patch21: util-linux-2.5-clock.patch
Patch22: util-linux-2.5-loginbuf.patch
Patch23: util-linux-2.5-auth.patch
Requires: pam >= 0.56

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system.  This includes, among other
things, configuration tools such as fdisk and system programs such
as login.

%changelog

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>

LOG_AUTH --> LOG_AUTHPRIV in login and shutdown

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>

Moved to new pam and from pam.conf to pam.d

* Tue Feb 25 1997 Michael K. Johnson <johnsonm@redhat.com>

pam.patch differentiated between different kinds of bad logins.
In particular, "user does not exist" and "bad password" were treated
differently.  This was a minor security hole.

%prep

# note that the alpha patch is derived  from the one on azstarnet

%setup
%patch0 -p1
%patch2 -p1
%patch4 -p1

%patch5 -p1

%ifarch sparc
%patch6 -p1
%patch8 -p1
%patch11 -p1
%endif

%patch7 -p1 -b .nopam
%patch9 -p1

%patch18 -p1 -b .getutent

%ifarch alpha
%patch1 -p1 -b .noaxp
%patch3 -p1 -b .axp1
%patch10 -p1 -b .axp2
%patch19 -p1 -b .bsdlabel
%patch20 -p1 -b .nocrypt
%patch21 -p1 -b .badclock
%endif

%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1 -b .setcred
%patch16 -p1 -b .ret
%patch17 -p1 -b .nosync
%patch22 -p1 -b .overflow
%patch23 -p1 -b .auth

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
make install 
mv -f /usr/bin/rdev /usr/sbin
%ifnarch sparc
mv -f /usr/bin/swapdev /usr/sbin
mv -f /usr/bin/vidmode /usr/sbin
%endif
mv -f /usr/bin/ramsize /usr/sbin
mv -f /usr/bin/rootflags /usr/sbin
mv -f /usr/bin/readprofile /usr/sbin
gzip -9nf /usr/info/ipc.info

strip /bin/login /usr/bin/chfn /usr/bin/chsh /usr/bin/newgrp /sbin/fdisk

install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/login.pamd /etc/pam.d/login
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/chsh.pamd /etc/pam.d/chsh
install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/chsh.pamd /etc/pam.d/chfn

%files
%config /etc/pam.d/login
%config /etc/pam.d/chfn
%config /etc/pam.d/chsh

/sbin/fdisk
%ifnarch sparc
/sbin/cfdisk
/sbin/fsck.minix
/sbin/mkfs.minix
%endif
/sbin/mkfs
/sbin/mkswap

/usr/bin/fdformat
/usr/bin/setfdprm
/etc/fdprm

/usr/man/man8/fdisk.8
%ifnarch sparc
/usr/man/man8/cfdisk.8
%endif
/usr/man/man8/fdformat.8
/usr/man/man8/mkfs.8
/usr/man/man8/mkswap.8
/usr/man/man8/setfdprm.8

/usr/games/banner
/usr/man/man6/banner.6

/usr/bin/ddate
/usr/man/man1/ddate.1

/bin/login
/usr/bin/chfn
/usr/bin/chsh
/usr/bin/newgrp
/usr/sbin/vipw
/usr/man/man1/chfn.1
/usr/man/man1/chsh.1
/usr/man/man1/login.1
/usr/man/man1/newgrp.1
/usr/man/man8/vipw.8
/bin/kill
/usr/bin/cal
/usr/bin/chkdupexe
/usr/bin/dsplit
/usr/bin/hostid
/usr/bin/logger
/usr/bin/look
/usr/bin/mcookie
/usr/bin/namei
/usr/bin/script
/usr/bin/setterm
/usr/bin/tsort
/usr/bin/whereis
/usr/bin/write
/usr/bin/getopt
/usr/man/man1/cal.1
/usr/man/man1/chkdupexe.1
/usr/man/man1/dsplit.1
/usr/man/man1/hostid.1
/usr/man/man1/kill.1
/usr/man/man1/logger.1
/usr/man/man1/look.1
/usr/man/man1/mcookie.1
/usr/man/man1/namei.1
/usr/man/man1/script.1
/usr/man/man1/setterm.1
/usr/man/man1/tsort.1
/usr/man/man1/whereis.1
/usr/man/man1/write.1
/usr/man/man1/getopt.1

/bin/dmesg

%ifnarch sparc
/sbin/clock
%endif

/sbin/ctrlaltdel
/sbin/kbdrate
/sbin/sln
/bin/arch
/bin/setserial
/usr/sbin/chroot
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/sbin/rdev
/usr/bin/renice
/usr/sbin/readprofile
/usr/bin/setsid
/usr/sbin/ramsize
%ifnarch sparc
/usr/bin/cytune
/usr/sbin/swapdev
/usr/sbin/vidmode
%endif
/usr/sbin/rootflags

/usr/man/man1/arch.1
/usr/man/man1/readprofile.1
/usr/man/man8/chroot.8
%ifnarch sparc
/usr/man/man8/clock.8
/usr/man/man8/cytune.8
/usr/man/man8/fsck.minix.8
/usr/man/man8/mkfs.minix.8
%endif
/usr/man/man8/ctrlaltdel.8
/usr/man/man8/dmesg.8
/usr/man/man8/ipcrm.8
/usr/man/man8/ipcs.8
/usr/man/man8/kbdrate.8
/usr/man/man8/ramsize.8
/usr/man/man8/rdev.8
/usr/man/man8/renice.8
/usr/man/man8/rootflags.8
/usr/man/man8/setserial.8
/usr/man/man8/setsid.8
%ifnarch sparc
/usr/man/man8/swapdev.8
/usr/man/man8/vidmode.8
%endif
/usr/info/ipc.info.gz

/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/hexdump
/usr/bin/rev
/usr/bin/ul

/usr/man/man1/col.1
/usr/man/man1/colcrt.1
/usr/man/man1/colrm.1
/usr/man/man1/column.1
/usr/man/man1/hexdump.1
/usr/man/man1/rev.1
/usr/man/man1/ul.1

%ifarch i386 sparc
/bin/more

/usr/man/man1/more.1
/usr/lib/more.help
%endif
